Bug 100760 - System hangs when GNOME exits on shutdown
System hangs when GNOME exits on shutdown
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 21:48 EDT by Kyle Eschberger
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Eschberger 2003-07-24 21:48:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When I try to shut down my system via any method (init 6 or 0, reboot, 
shutdown -everything, main menu > logout or shutdown, etc..) they system hangs 
as soon as Gnome exits. 

For example: I issue init 6 from a terminal window and after a few seconds my 
screen goes black like it's suposed to when the GUI exits. A message is 
displayed that says "INIT: no more processes left in this run level" then 
nothing follows. 

At this point I can type characters to the screen but I get no real response. 
ctrl+alt+delete dosn't work. The system is still on but but nothing works i.e. 
can't ping the NIC. 

I have logged in in "failsafe" mode but when I try to shutdown from there it 
does the same thing. 

I also get this when I try to switch to run level 1 (via init 1)

Version-Release number of selected component (if applicable):
2.4.20-19.7

How reproducible:
Always

Steps to Reproduce:
1.issue any type of shutdown command
2.
3.
    

Actual Results:  System hangs and siaplays the message "INIT: no more 
processes left in this run level"

Expected Results:  I should see the services being stopped then the system 
should shut down or reboot.

Additional info:

My hardware is IBM eServer xServer 330
I have an Adaptec AIC7892 RAIN controller running RAID 1 (firmware version 
2.53)

I saw this problem ever since I loaded Linux with kernel version 2.4.18-3. I 
have run up2date and should be (according to up2date) on the latest release. 
Inlcuding kernel (now 2.4.20-19.7)
Comment 1 Bugzilla owner 2004-09-30 11:41:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.